# Uses of Class
java.beans.Expression

Packages that use Expression
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.

## Uses of Expression in java.beans

Methods in java.beans that return Expression
Modifier and Type
Method
Description
`protected Expression`
DefaultPersistenceDelegate.`instantiate(Object oldInstance, Encoder out)`
This default implementation of the `instantiate` method returns an expression containing the predefined method name "new" which denotes a call to a constructor with the arguments as specified in the `DefaultPersistenceDelegate`'s constructor.
`protected abstract Expression`
PersistenceDelegate.`instantiate(Object oldInstance, Encoder out)`
Returns an expression whose value is `oldInstance`.
Methods in java.beans with parameters of type Expression
Modifier and Type
Method
Description
`void`
Encoder.`writeExpression(Expression oldExp)`
The implementation first checks to see if an expression with this value has already been written.
`void`
XMLEncoder.`writeExpression(Expression oldExp)`
Records the Expression so that the Encoder will produce the actual output when the stream is flushed.